/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\resources\Masterpiece Resources\_RandomRareMResources.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server
{
	public class RandomRareMResources
	{
		
		public static Item Generate()
		{
			Item i=null;
			switch ( Utility.Random( 18 ))
			{                                   
				case 0: i= new MagesMind( Utility.Random(1,2) ); break; 
				case 1: i= new MagesWrath( Utility.Random(1,2) ); break;  
				case 2: i= new MagesPower( Utility.Random(1,2) ); break;  
				case 3: i= new MagesRest( Utility.Random(1,2) ); break;      
				case 4: i= new GuidingLight(); break; 
				case 5: i= new SpellcastersWeaponry(); break;  
				case 6: i= new ScrollOfLesserKnowledge(); break;  
				case 7: i= new ScrollOfKnowledge(); break;  
				case 8: i= new ScrollOfGreaterKnowledge(); break;   
				case 9: i= new TotemOfEradication(); break;  
				case 10: i= new ChunkOfMyridium(); break;  
				case 11: i= new ReflectiveStance( Utility.Random(1,2) ); break;
				case 12: i= new OrbsOfPower( Utility.Random(1,2) ); break;
				case 13: i= new PowderOfAgility( Utility.Random(1,2) ); break; 
				case 14: i= new EssenceOfStamina(); break;
				case 15: i= new EssenceOfRejuvenation(); break;
				case 16: i= new MagesRegeneration(); break;
				case 17: i= new MagicPowder(Utility.Random(1,2)); break;
			}			
			
			return i;
		}
	}
}ÿ